BEGIN {
	bootrom_ok = 0
	opensbi_ok = 0
	test_ok = 0
}
/RBOOTROM/		{ bootrom_ok = 1 }
/^OpenSBI v/		{ opensbi_ok = 1 }
/^TEST-RESULT-OK/	{ test_ok = 1 }
			{ printf "line> "; print }
END {
	printf "Test summary:\n"
	printf " Bootrom: %s\n", bootrom_ok ? "OK" : "FAIL";
	printf " OpenSBI: %s\n", opensbi_ok ? "OK" : "FAIL";
	printf "  Result: %s\n", test_ok ? "OK" : "FAIL";

	if (test_ok)
		exit 0;
	else
		exit 1;
}
